@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@200;300;400;500;600;700;800&display=swap');



:root {
    --black: #333;
    /* --black: #fff; */
    --blackTwo: #222;
    /* --blackTwo: #fff; */
    --blackThree: #2e2f34;
    --white: #fff;
    /* --white:#333; */
    --red: #f83038;
    --redTwo: #ff1455;
    --blue: #2196f3;
    --gray: #ccc;
    --darkGray: #777;
    --ink: #000;
    /* --green: #30fe6c; */
    --green: #44b649;

}

*{
    margin: 0;
    padding: 0;
    scroll-behavior: smooth;
    box-sizing: border-box;
    font-family: 'Poppins', sans-serif;

}


/* navigation */
header {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    padding: 20px 100px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    z-index: 10;
    backdrop-filter: blur(20px);

}

.wrNavingation {
    display: flex;
}

.wrNavingationJp {
    display: none;
}

#jpOn {
    display: none;
}


header .wrLogo {
    position: relative;
    /* color: var(--white); */
    color: var(--black);
    text-decoration: none;
}

header ul {
    position: relative;
    /* display: flex; */
    gap: 40px;

}

header ul li {
    list-style: none;

}

header ul li a {
    text-decoration: none;
    /* color: var(--white); */
    color: var(--black);
    font-weight: 500;
    font-size: 1.25em;
}

.wrActive {
    color: var(--green);
}

header ul li.wrActive a,
header ul li:hover a  {
    color: var(--green);
}




















/* body */

#wrHome {
    position: relative;
    width: 100%;
    min-height: 100vh;
    /* background: var(--blackTwo); */
    background: var(--white);
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 100px;
}

#wrHome::before {
    content: '';
    position: absolute;
    bottom: 0;
    right: 0;
    width: 50vw;
    height: 25vw;
    /* background: var(--white); */
    /* background: var(--black); */
    background: var(--red);
    border-top-right-radius: 25vw;
    border-top-left-radius: 25vw;
}

#wrHome .wrHomeDisplay {
    position: relative;
    display: flex;
    flex-direction: column;
    gap: 10px;
    max-width: 650px;
    z-index: 9;
}

#wrHome .wrHomeDisplay h2 {
    position: relative;
    font-size: 5em;
    color: var(--green);

}

#wrHome .wrHomeDisplay p {
    position: relative;
    color: var(--white);
    color: var(--black);
    font-size: 1.2em;
    line-height: 1.6em;

}

.wrBtn {
    position: relative;
    display: inline-block;
    font-size: 1.2em;
    max-width: 180px;
    background: var(--green);
    color: var(--blackTwo);
    text-align: center;
    padding: 18px 30px;
    font-weight: 500;
    letter-spacing: 0.05em;
    text-decoration: none;
    margin-top: 10px;
    border-radius: 5%;
}

.engOn {
    display: flex;
}

#wrHome .wrShowcase {
    position: absolute;
    bottom: 22%;
    right: 15%;
    height: 50vh;
    max-height: 90vh;
}


/* Home JP verson */
#wrHomeJP {
    position: relative;
    width: 100%;
    min-height: 100vh;
    background: var(--blackTwo);
    /* display: flex; */
    display: none;
    justify-content: space-between;
    align-items: center;
    padding: 100px;
}

#wrHomeJP::before {
    content: '';
    position: absolute;
    bottom: 0;
    right: 0;
    width: 50vw;
    height: 25vw;
    background: var(--white);
    border-top-right-radius: 25vw;
    border-top-left-radius: 25vw;
}

#wrHomeJP .wrHomeDisplay {
    position: relative;
    display: flex;
    flex-direction: column;
    gap: 10px;
    max-width: 650px;
    z-index: 9;
}

#wrHomeJP .wrHomeDisplay h2 {
    position: relative;
    font-size: 5em;
    color: var(--green);

}

#wrHomeJP .wrHomeDisplay p {
    position: relative;
    color: var(--white);
    font-size: 1.2em;
    line-height: 1.6em;

}

.wrBtn {
    position: relative;
    display: inline-block;
    font-size: 1.2em;
    max-width: 180px;
    background: var(--green);
    color: var(--blackTwo);
    text-align: center;
    padding: 18px 30px;
    font-weight: 500;
    letter-spacing: 0.05em;
    text-decoration: none;
    margin-top: 10px;
    border-radius: 5%;
}


#wrHomeJP .wrShowcase {
    position: absolute;
    bottom: 22%;
    right: 15%;
    height: 50vh;
    max-height: 90vh;
}

/* JP home end */








/* Section controles */

#wrAbout, #wrServices, #wrPortfolio, #wrResources, #wrContactUs {
    position: relative;
    /* background: var(--black); */
    background: var(--white);
    min-height: 100vh;
    padding: 20px 100px;
    /* display: flex; */
    display: none;
    transition: 0.5s;
    justify-content: center;
    flex-direction: column;

}

#wrAboutJP, #wrServicesJP, #wrPortfolioJP, #wrResourcesJP, #jpWRContactUsJP {
    position: relative;
    background: var(--black);
    min-height: 100vh;
    padding: 20px 100px;
    /* display: flex; */
    display: none;
    transition: 0.5s;
    justify-content: center;
    flex-direction: column;

}













.aboutDisplay {
    position: relative;
    width: 100%;
    height: 300px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding-top: 50px;
    transition: all 0.5s ease-in-out !important;

}

.aboutDisplay h2 {
    font-size: 3em;
    /* color: var(--white); */
    color: var(--black);
}

.aboutDisplay p {
    max-width: 700px;
    text-align: center;
    color: var(--darkGray);
    font-size: 1.1em;
    line-height: 1.5em;

}

#aboutNick {
    display: none;
    transition: all 0.5s ease-in-out !important;
}

#aboutKai {
    display: none;
    transition: all 0.5s ease-in-out  !important;
}

#aboutToby {
    display: none;
    transition: all 0.5s ease-in-out  !important;
}

#aboutTanya {
    display: none;
    transition: all 0.5s ease-in-out  !important;
}

#aboutNickJP {
    display: none;
    transition: all 0.5s ease-in-out !important;
}

#aboutKaiJP {
    display: none;
    transition: all 0.5s ease-in-out  !important;
}

#aboutTobyJP {
    display: none;
    transition: all 0.5s ease-in-out  !important;
}

#aboutTanyaJP {
    display: none;
    transition: all 0.5s ease-in-out  !important;
}





#wrAbout .wrContent {
    display: grid;
    grid-template-columns: repeat(4,1fr);
    gap: 20px;
    margin: 40px 0;

}

#wrAbout .wrContent .wrAboutBox {
    /* background: #2e2f34; */
    /* background: var(--black); */
    /* background: var(--blackTwo); */
    background: var(--gray);
    padding: 50px 20px;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    gap: 20px;
    /* width: 250px; */
    /* border: 2px solid var(--blackTwo); */
    /* border: 2px solid var(--blackThree); */
    border: 2px solid var(--gray);


}

#wrAbout .wrContent .wrAboutBox:hover {
    border: 2px solid var(--green);
    
}

#wrAbout .wrContent .wrAboutBox img {
    max-width: 100px;
    opacity: 0.5;
    transition: 0.5s;
}

#wrAbout .wrContent .wrAboutBox:hover img {
    opacity: 1;
}

#wrAbout .wrContent .wrAboutBox h3 {
    font-weight: 500;
    color: var(--green);
}



/* About Jp */
#wrAboutJP .wrContent {
    display: grid;
    grid-template-columns: repeat(4,1fr);
    gap: 20px;
    margin: 40px 0;

}

#wrAboutJP .wrContent .wrAboutBox {
    /* background: #2e2f34; */
    /* background: var(--black); */
    background: var(--blackTwo);
    padding: 50px 20px;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    gap: 20px;
    /* width: 250px; */
    /* border: 2px solid var(--blackTwo); */
    border: 2px solid var(--blackThree);

}

#wrAboutJP .wrContent .wrAboutBox:hover {
    border: 2px solid var(--green);
    
}

#wrAboutJP .wrContent .wrAboutBox img {
    max-width: 100px;
    opacity: 0.5;
    transition: 0.5s;
}

#wrAboutJP .wrContent .wrAboutBox:hover img {
    opacity: 1;
}

#wrAboutJP .wrContent .wrAboutBox h3 {
    font-weight: 500;
    color: var(--green);
}


/* Portfolio */
/* ----------------------------------------------------------------- */

#wrPortfolio {
    /* background: var(--blackThree); */
    background: var(--white);
    text-align: center;
}

#wrPortfolio .wrContent {
    display: grid;
    grid-template-columns: repeat(3,1fr);
    gap: 20px;
    margin: 40px 0;
}

#wrPortfolio .wrContentEffects {
    display: grid;
    grid-template-columns: repeat(4,1fr);
    gap: 20px;
    margin: 40px 0;
}

#wrPortfolio .wrContent .wrImgBox {
    position: relative;

}

#wrPortfolio .wrContent .wrImgBox img {
    max-width: 500px;
}











#wrPortfolioJP {
    background: var(--blackThree);
    text-align: center;
}

#wrPortfolioJP .wrContent {
    display: grid;
    grid-template-columns: repeat(3,1fr);
    gap: 20px;
    margin: 40px 0;
}

#wrPortfolioJP .wrContentEffects {
    display: grid;
    grid-template-columns: repeat(4,1fr);
    gap: 20px;
    margin: 40px 0;
}

#wrPortfolioJP .wrContent .wrImgBox {
    position: relative;

}

#wrPortfolioJP .wrContent .wrImgBox img {
    max-width: 500px;
}






/* cards */
.sampleTwoCard {
    position: relative;
    width: 300px !important;
    height: 400px;
    background: var(--white);
    transform-style: preserve-3d;
    transform: perspective(1000px);
    box-shadow: 10px 20px 40px rgba(0,0,0,0.25);
    transition: 1s;
    /* padding-left: 300px; */
    margin-left: 300px;
    margin-top: 45px;

}
@media(max-width: 1950px) {
    .sampleTwoCard {
        margin-left: 0;
    }

}
@media(max-width: 500px) {
    .sampleTwoCard {
        width: 150px !important;
    height: 200px;
    }

}
.sampleTwoCard:hover {
    transform: translateX(50%);
}

.sampleTwoCard .sampleTwoImgBox {
    position: relative;
    width: 100%;
    height: 100%;
    z-index: 1;
    transform-origin: left;
    transform-style: preserve-3d;
    background-color: var(--ink);
    transition: 1s;
    box-shadow: 10px 20px 40px rgba(0,0,0,0.25);

}

.sampleTwoCard:hover .sampleTwoImgBox {
    transform: rotateY(-180deg);
}

.sampleTwoCard .sampleTwoImgBox img {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    transform-style: preserve-3d;
    backface-visibility: hidden;
    
}

.sampleTwoCard .sampleTwoImgBox img:nth-child(2) {
    transform: rotateY(180deg);
}


.sampleTwoCard .sampleTwoDetails {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    padding: 20px;
    display: flex;
    justify-content: center;
    align-items: center;

}

.sampleTwoCard .sampleTwoDetails .sampleTwoBoxContent {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;

}

.sampleTwoCard .sampleTwoDetails .sampleTwoBoxContent h2 {
    text-align: center;
    font-weight: 700;
    line-height: 1em;
    color: var(--ink);
}

.sampleTwoCard .sampleTwoDetails .sampleTwoBoxContent h2 span {
    color: var(--black);
    font-size: 0.8em;
}

















/* Plates */



.sampleTwoPlateBox {
    position: relative;
    width: 300px;
    height: 300px;
    margin: 40px;
    /* margin-left: 150px; */

}

.sampleTwoPlateBox .sampleTwoPlateImgBox {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    transition: 0.5s ease-in-out;
    z-index: 2;

}

.sampleTwoPlateBox:hover .sampleTwoPlateImgBox {
    transform: translate(-35px, -35px);
}

.sampleTwoPlateBox .sampleTwoPlateImgBox img {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.sampleTwoPlateBox .sampleTwoPlateContent {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: var(--white);
    z-index: 1;
    display: flex;
    justify-content: center;
    align-items: flex-end;
    padding: 15px;
    transition: 0.5s ease-in-out;

}

.sampleTwoPlateBox:hover .sampleTwoPlateContent {
    transform: translate(35px, 35px);
}

.sampleTwoPlateBox:hover .sampleTwoPlateContent h2 {
    font-size: 20px;
    font-weight: 500;
    color: var(--ink);
    line-height: 20px;
    letter-spacing: 1px;
    text-align: center;

}

.sampleTwoPlateBox .sampleTwoPlateContent h2 span {
    font-size: 14px;
    font-weight: 300;
    letter-spacing: 2px;
}


/* Hover display */

.iconBox {
    position: relative;
    width: calc(400px - 30px);
    height: calc(300px - 30px);
    background:var(--gray);
    float: left;
    /* margin: 15px; */
    box-sizing: border-box;
    overflow: hidden;
    border-radius: 10px;
    margin-top: 42px;
    cursor: pointer;


}
@media(max-width: 500px) {
    .iconBox {
        width: calc(300px - 30px);
        height: calc(200px - 30px);
    }

}

.iconBox .iconSize {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: var(--white);
    -webkit-transition: 0.5s;
    transition: 0.5s;
    z-index: 1;

}

.iconBox:hover .iconSize {
    top: 20px;
    left: calc(50% - 40px);
    width: 80px;
    height: 80px;
    border-radius: 50%;

}

.iconBox .iconSize .iconImgOne {
    position: absolute;
    top: 50%;
    left: 50%;
    -webkit-transform: translate(-50%, -50%);
            transform: translate(-50%, -50%);
    height: 150px;
    /* width: auto; */
    -webkit-transition: 0.5s;
    transition: 0.5s;

}

.iconBox:hover .iconImgOne {
    height: 40px !important;
    width: auto;
}

.iconBox:hover .iconTop {
    opacity: 0;
}
.iconBox .contentPower {
    position: absolute;
    top: 100%;
    height: calc(100% - 85px);
    text-align: center;
    padding: 15px;
    box-sizing: border-box;
    -webkit-transition: 0.5s;
    transition: 0.5s;
    opacity: 0;
}

.iconBox:hover .contentPower {
    top: 100px;
    opacity: 1;
}

.iconBox .contentPower .powerH3 {
    /* margin: 0 0 10px; */
    padding: 0;
    color: #fff;
    font-size: 24px;
}

.iconBox .contentPower .powerDiscP {
    margin: 0;
    padding: 0;
    color: var(--white);
}

.iconBox .contentPower {
    position: absolute;
    top: 100%;
    height: calc(100% - 85px);
    text-align: center;
    /* padding: 15px; */
    box-sizing: border-box;
    -webkit-transition: 0.5s;
    transition: 0.5s;
    opacity: 0;
}

.iconBox:hover .contentWater {
    top: 100px;
    opacity: 1;
}

.iconBox .contentWater .waterH3 {
    /* margin: 0 0 10px; */
    padding: 0;
    color: #fff;
    font-size: 24px;
}

.iconBox .contentWater .waterDiscP {
    margin: 0;
    padding: 0;
    color: #fff;
}

.iconBox .contentWater {
    position: absolute;
    top: 100%;
    height: calc(100% - 85px);
    text-align: center;
    /* padding: 15px; */
    box-sizing: border-box;
    -webkit-transition: 0.5s;
    transition: 0.5s;
    opacity: 0;
}


.iconBox:hover .contentEnergy {
    top: 100px;
    opacity: 1;
}

.iconBox .contentEnergy .energyH3 {
    margin: 0 0 10px;
    padding: 0;
    color: var(--white);
    font-size: 24px;
}

.iconBox .contentEnergy .energyDiscP {
    margin: 0;
    padding: 0;
    color: #fff;
}

.iconBox .contentEnergy {
    position: absolute;
    top: 100%;
    height: calc(100% - 85px);
    text-align: center;
    /* padding: 15px; */
    box-sizing: border-box;
    -webkit-transition: 0.5s;
    transition: 0.5s;
    opacity: 0;
}

.iconBox .iconSize .iconImgThree {
    position: absolute;
    top: 50%;
    left: 50%;
    -webkit-transform: translate(-50%, -50%);
            transform: translate(-50%, -50%);
    height: 150px;
    width: auto;
    -webkit-transition: 0.5s;
    transition: 0.5s;

}
.iconUnder {
    /* text-decoration: underline; */
    color: #e41000;
    height: 10px;
}
.iconTop {
    color: #e41000;
    position: absolute;
    bottom: 1rem;
    left: 40%;
}


.iconBox:hover .iconImgThree {
    height: 40px !important;
    width: auto;
}
@media(max-width: 800px) {
    .iconBox {
        margin: 0 !;
    }

}


















/* Services */
/* ------------------------------------------------------------------------------------------- */
#wrServices .wrContent {
    display: grid;
    grid-template-columns: repeat(4,1fr);
    gap: 20px;
    margin: 40px 0;

}

#wrServices .wrContent .wrServiceBox {
    /* background: #2e2f34; */
    /* background: var(--black); */
    /* background: var(--blackTwo); */
    background: var(--gray);
    padding:50px 20px;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    gap: 20px;
    /* width: 80%; */
    /* border: 2px solid var(--blackTwo); */
    /* border: 2px solid var(--blackThree); */
    border: 2px solid var(--darkGray);


}

#wrServices .wrContent .wrServiceBox:hover {
    border: 2px solid var(--green);
    
}

#wrServices .wrContent .wrServiceBox img {
    /* max-width: 200px; */
    max-height: 200px;
    /* filter: invert(1); */
    opacity: 0.5;
    transition: 0.5s;
}

#wrServices .wrContent .wrServiceBox:hover img {
    opacity: 1;
}

#wrServices .wrContent .wrServiceBox h3 {
    font-weight: 500;
    color: var(--green);
}

.wrCenter {
    width: 100%;
    text-align: center;
}

#wrServicesJP .wrContent {
    display: grid;
    grid-template-columns: repeat(4,1fr);
    gap: 20px;
    margin: 40px 0;

}

#wrServicesJP .wrContent .wrServiceBox {
    /* background: #2e2f34; */
    /* background: var(--black); */
    background: var(--blackTwo);
    padding:50px 20px;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    gap: 20px;
    /* width: 80%; */
    /* border: 2px solid var(--blackTwo); */
    border: 2px solid var(--blackThree);

}

#wrServicesJP .wrContent .wrServiceBox:hover {
    border: 2px solid var(--green);
    
}

#wrServicesJP .wrContent .wrServiceBox img {
    /* max-width: 200px; */
    max-height: 200px;
    filter: invert(1);
    opacity: 0.5;
    transition: 0.5s;
}

#wrServicesJP .wrContent .wrServiceBox:hover img {
    opacity: 1;
}

#wrServicesJP .wrContent .wrServiceBox h3 {
    font-weight: 500;
    color: var(--green);
}




/* Resources */
/* -------------------------------------------------------------------------------- */

#wrResources {
    background: var(--blackThree);
    text-align: center;
}

#wrResources .wrResSelector {
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 95vh;
    background: var(--black);
}

#wrResources .wrResSelector ul {
    position: relative;
    transform: skewY(-15deg);
}

#wrResources .wrResSelector ul li {
    position: relative;
    width: 200px;
    height: 100px;
    padding: 15px;
    list-style: none;
    background: var(--blackThree);
    transition: 0.5s;
    /* z-index: calc(10 attr(i integer) ); */

}

#wrResources .wrResSelector ul li:nth-child(1) {
    z-index: 4;
}

#wrResources .wrResSelector ul li:nth-child(2) {
    z-index: 3;
}

#wrResources .wrResSelector ul li:nth-child(3) {
    z-index: 2;
}

#wrResources .wrResSelector ul li:hover {
    transform: translateX(-50px);
    background: var(--green);
    /* z-index: 6; */
}

#wrResources .wrResSelector ul li::before {
    content: '';
    position: absolute;
    top: 0;
    left: -40px;
    width: 40px;
    height: 100%;
    background: var(--blackThree);
    filter: brightness(0.7);
    transform-origin: right;
    transform: skewY(45deg);
    transition: 0.5s;
    
}

#wrResources .wrResSelector ul li:hover::before {
    background: var(--green);
    filter: brightness(0.7);
}

#wrResources .wrResSelector ul li::after {
    content: '';
    position: absolute;
    top: -40px;
    left: 0;
    width: 100%;
    height: 40px;
    background: var(--blackThree);
    filter: brightness(0.7);
    transform-origin: bottom;
    transform: skewX(45deg);
    transition: 0.5s;

}

#wrResources .wrResSelector ul li:hover::after {
    background: var(--green);
}

#wrResources .wrResSelector ul li a {
    text-decoration: none;
    color: var(--darkGray);
    display: block;
    text-transform: uppercase;
    letter-spacing: 0.5em;
    transition: 0.5s;
    font-size: 0.8rem;
}

#wrResources .wrResSelector ul li:hover a {
    color: var(--white);

}

#wrResources .wrResSelector ul li:last-child::after {
    box-shadow: -120px 120px 20px rgba(0,0,0,0.25);
}

/* #wrResources .wrResSelector ul li span {
    position: absolute;
    top: 0;
    left: -40px;
    width: 40px;
    height: 100%;
    background: var(--blackThree);
    filter: brightness(0.7);
    transform-origin: right;
    transform: skewY(45deg);
    transition: 0.5s;
} */

#wrResources .wrResSelector ul li img {
    position: absolute;
    top: 0;
    left: -40px;
    width: 40px;
    height: 100%;
    /* background: var(--blackThree); */
    /* filter: brightness(0.7); */
    transform-origin: right;
    transform: skewY(45deg);
    transition: 0.5s;
    display: flex;
    justify-content: center;
    align-items: center;
    opacity: 0.5;
}

#wrResources .wrResSelector ul li:hover img {
    opacity: 1;
}







.liResourcesActive {
    transform: translateX(-50px);
    background: var(--green) !important;
}

.liResourcesActive::before {
    background: var(--green) !important;
    filter: brightness(0.7) !important;
}

.liResourcesActive::after {
    content: '';
    background: var(--green) !important;
}














#wrResourcesJP {
    background: var(--blackThree);
    text-align: center;
}

#wrResourcesJP .wrResSelector {
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 95vh;
    background: var(--black);
}

#wrResourcesJP .wrResSelector ul {
    position: relative;
    transform: skewY(-15deg);
}

#wrResourcesJP .wrResSelector ul li {
    position: relative;
    width: 200px;
    height: 100px;
    padding: 15px;
    list-style: none;
    background: var(--blackThree);
    transition: 0.5s;
    /* z-index: calc(10 attr(i integer) ); */

}

#wrResourcesJP .wrResSelector ul li:nth-child(1) {
    z-index: 4;
}

#wrResourcesJP .wrResSelector ul li:nth-child(2) {
    z-index: 3;
}

#wrResourcesJP .wrResSelector ul li:nth-child(3) {
    z-index: 2;
}

#wrResourcesJP .wrResSelector ul li:hover {
    transform: translateX(-50px);
    background: var(--green);
    /* z-index: 6; */
}

#wrResourcesJP .wrResSelector ul li::before {
    content: '';
    position: absolute;
    top: 0;
    left: -40px;
    width: 40px;
    height: 100%;
    background: var(--blackThree);
    filter: brightness(0.7);
    transform-origin: right;
    transform: skewY(45deg);
    transition: 0.5s;
    
}

#wrResourcesJP .wrResSelector ul li:hover::before {
    background: var(--green);
    filter: brightness(0.7);
}

#wrResourcesJP .wrResSelector ul li::after {
    content: '';
    position: absolute;
    top: -40px;
    left: 0;
    width: 100%;
    height: 40px;
    background: var(--blackThree);
    filter: brightness(0.7);
    transform-origin: bottom;
    transform: skewX(45deg);
    transition: 0.5s;

}

#wrResourcesJP .wrResSelector ul li:hover::after {
    background: var(--green);
}

#wrResourcesJP .wrResSelector ul li a {
    text-decoration: none;
    color: var(--darkGray);
    display: block;
    text-transform: uppercase;
    letter-spacing: 0.5em;
    transition: 0.5s;
    font-size: 0.8rem;
}

#wrResourcesJP .wrResSelector ul li:hover a {
    color: var(--white);

}

#wrResourcesJP .wrResSelector ul li:last-child::after {
    box-shadow: -120px 120px 20px rgba(0,0,0,0.25);
}

/* #wrResources .wrResSelector ul li span {
    position: absolute;
    top: 0;
    left: -40px;
    width: 40px;
    height: 100%;
    background: var(--blackThree);
    filter: brightness(0.7);
    transform-origin: right;
    transform: skewY(45deg);
    transition: 0.5s;
} */

#wrResourcesJP .wrResSelector ul li img {
    position: absolute;
    top: 0;
    left: -40px;
    width: 40px;
    height: 100%;
    /* background: var(--blackThree); */
    /* filter: brightness(0.7); */
    transform-origin: right;
    transform: skewY(45deg);
    transition: 0.5s;
    display: flex;
    justify-content: center;
    align-items: center;
    opacity: 0.5;
}

#wrResourcesJP .wrResSelector ul li:hover img {
    opacity: 1;
}





































/* contact */
#wrContactUs .wrContent {
    display: grid;
    grid-template-columns: repeat(4,1fr);
    gap: 20px;
    margin: 40px 0;
}

#wrContactUs .wrContent a {
    background: var(--blackThree);
    color: var(--white);
    height: 120px;
    display: flex;
    justify-content: center;
    align-items: center;
    text-decoration: none;
    font-size: 1.2em;
    transition: 0.5s;
}

#wrContactUs .wrContent a:hover {
    background: var(--green);
}

#wrContactUs .wrContent a img {
    /* margin-right: 10px; */
    padding: 20px;
    height: 100px;
}






#jpWRContactUsJP .wrContent {
    display: grid;
    grid-template-columns: repeat(4,1fr);
    gap: 20px;
    margin: 40px 0;
}

#jpWRContactUsJP .wrContent a {
    background: var(--blackThree);
    color: var(--white);
    height: 120px;
    display: flex;
    justify-content: center;
    align-items: center;
    text-decoration: none;
    font-size: 1.2em;
    transition: 0.5s;
}

#jpWRContactUsJP .wrContent a:hover {
    background: var(--green);
}

#jpWRContactUsJP .wrContent a img {
    /* margin-right: 10px; */
    padding: 20px;
    height: 100px;
}

.wrCenterTwo {
    width: 100%;
    text-align: center;
    margin-top: 100px;
}

.copyright {
    margin-top: 150px;
    position: relative;
    color: var(--darkGray);
    font-size: 1.2em;
}


@media (max-width: 900px) {
    header {
        padding: 20px 50px;
    }
    #wrHome {
        padding: 150px 50px;
        flex-direction: column;
        padding-bottom: 0;

    }
    #wrHome .wrHomeDisplay h2 {
        font-size: 4em;

    }
    .wrBtn {
        max-width: 160px;
        padding: 10px 20px;
    }
    #wrHome .wrShowcase {
        position: absolute;
        height: 50vh;
        right: 0;
        bottom: 0;
    }
    .aboutDisplay h2 {
        font-size: 2em;

    }
    #wrAbout, 
    #wrServices, 
    #wrPortfolio, 
    #wrResources, 
    #wrContactUs {
        padding: 100px 50px 50px;
    }
    #wrAbout .wrContent, 
    #wrServices .wrContent, 
    #wrPortfolio .wrContent, 
    #wrResources .wrContent, 
    #wrContactUs .wrContent {
        grid-template-columns: repeat(2,1fr);
    }
    
    .menuToggle {
        position: relative;
        width: 30px;
        height: 20px;
        display: flex;
        justify-content: center;
        align-items: center;
        cursor: pointer;
        
    }

    .menuToggle::before {
        content: '';
        position: absolute;
        width: 100%;
        height: 2px;
        background: var(--white);
        transform: translateY(-10px);
        transition: 0.5s;
        box-shadow: 0 10px var(--white);

    }
    .menuToggle::after {
        content: '';
        position: absolute;
        width: 100%;
        height: 2px;
        background: var(--white);
        transform: translateY(10px);
        transition: 0.5s;
        
    }
    header.wrActive .menuToggle::before {
        transform: translateY(0px) rotate(45deg);
        box-shadow: 0 0 var(--white);
    }
    header.wrActive .menuToggle::after {
        transform: translateY(0px) rotate(315deg);
        
    }
    .wrNavingation {
        display: none;
    }
    header.wrActive .wrNavingation {
        position: fixed;
        left: 0;
        top: 84px;
        width: 100%;
        height: calc(100vh - 84px);
        background: rgba(50,50,50,0.95);
        display: flex;
        justify-content: center;
        align-items: center;
        flex-direction: column;
        z-index: 10;
        gap: 20px;

    }
    header.wrActive .wrNavingation li a {
        font-size: 2em;
    }
}


@media (max-width: 700px) {
    #wrHome .wrHomeDisplay h2 {
        font-size: 3em;
    }
    #wrHome::before {
        width: 80vw;
        height: 40vw;
        border-top-right-radius: 80vw;
        border-top-left-radius: 80vw;
    }
    #wrHome .wrShowcase {
        height: 40vh;
        right: 14%;
        bottom: 0;
    }
    #wrAbout .wrContent, 
    #wrServices .wrContent, 
    #wrPortfolio .wrContent, 
    #wrResources .wrContent, 
    #wrContactUs .wrContent {
        grid-template-columns: repeat(1,1fr);
    }
    #wrContactUs .wrContent a {
        height: 80px;
    }
    #wrPortfolio .wrContentEffects {
        display: flex;
        /* grid-template-columns: repeat(4,1fr); */
        flex-direction: column;
        gap: 20px;
        margin: 40px 90px;
    }
    
}

@media (max-width: 500px) {
    #wrHome .wrHomeDisplay {
        padding-bottom: 300px;
    }
    #wrHome .wrHomeDisplay h2 {
        font-size: 2em;
    }
    #wrHome::before {
        width: 80vw;
        height: 40vw;
        border-top-right-radius: 80vw;
        border-top-left-radius: 80vw;
    }
    #wrHome .wrShowcase {
        height: 40vh;
        right: 14%;
        bottom: 0;
    }
    #wrAbout .wrContent, 
    /* #wrServices .wrContent,  */
    #wrPortfolio .wrContent, 
    #wrResources .wrContent, 
    #wrContactUs .wrContent {
        grid-template-columns: repeat(1,1fr);
    }
    .aboutDisplay {
        margin-top: 250px;
        padding-bottom: 150px;
        margin-bottom: 200px;
        padding-left: 15%;
        width: 90%;
    }
    #wrContactUs .wrContent a {
        height: 80px;
    }
    #wrPortfolio .wrContentEffects {
        display: flex;
        /* grid-template-columns: repeat(4,1fr); */
        flex-direction: column;
        gap: 20px;
        margin: 0;
        /* margin: 40px 90px; */
    }
    #wrServices{
        padding: 0;
    }
    #wrServices .wrContent{
        gap: 10px;
        padding: 0;
        padding-top: 300px;
    }
    .wrServiceBox {
        padding: 0;
    }
    #wrPortfolio .wrContent .wrImgBox img {
        max-width: 300px;
    }
    
}




































